Bug 218383 - [NEW PORT] devel/evemu: Records and replays EVDEV descriptions and events
Summary: [NEW PORT] devel/evemu: Records and replays EVDEV descriptions and events
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vladimir Kondratyev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-04 22:41 UTC by Vladimir Kondratyev
Modified: 2017-08-09 21:13 UTC (History)
0 users

See Also:


Attachments
port`s svn diff output (7.44 KB, patch)
2017-04-04 22:41 UTC, Vladimir Kondratyev
no flags Details | Diff
poudriere build log (42.05 KB, text/plain)
2017-04-04 22:43 UTC, Vladimir Kondratyev
no flags Details
poudriere build log (40.84 KB, text/x-log)
2017-06-12 12:14 UTC, Vladimir Kondratyev
no flags Details
port`s svn diff output (7.49 KB, text/plain)
2017-06-12 12:16 UTC, Vladimir Kondratyev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kondratyev freebsd_committer 2017-04-04 22:41:49 UTC
Created attachment 181493 [details]
port`s svn diff output

Tools and bindings for kernel input event device emulation and data capture
and replay.

Evemu provides a programmatic API to access the kernel input event devices.
The original and intended purpose is for supporting multi-touch input,
especially with regard to the Ubuntu touch and gesture stack.
Comment 1 Vladimir Kondratyev freebsd_committer 2017-04-04 22:43:24 UTC
Created attachment 181494 [details]
poudriere build log
Comment 2 Vladimir Kondratyev freebsd_committer 2017-06-12 12:14:04 UTC
Created attachment 183424 [details]
poudriere build log
Comment 3 Vladimir Kondratyev freebsd_committer 2017-06-12 12:16:18 UTC
Created attachment 183425 [details]
port`s svn diff output

Replace xmlto dependence with minixmlto
Comment 4 Baptiste Daroussin freebsd_committer 2017-08-09 09:33:54 UTC
Approved
Comment 5 commit-hook freebsd_committer 2017-08-09 21:01:12 UTC
A commit references this bug:

Author: wulf
Date: Wed Aug  9 21:00:13 UTC 2017
New revision: 447657
URL: https://svnweb.freebsd.org/changeset/ports/447657

Log:
  New port: devel/evemu

  Tools and bindings for kernel input event device emulation and data capture
  and replay.

  Evemu provides a programmatic API to access the kernel input event devices.
  The original and intended purpose is for supporting multi-touch input,
  especially with regard to the Ubuntu touch and gesture stack.

  WWW: http://www.freedesktop.org/wiki/Evemu

  PR:		218383
  Approved by:	bapt (mentor)

Changes:
  head/devel/Makefile
  head/devel/evemu/
  head/devel/evemu/Makefile
  head/devel/evemu/distinfo
  head/devel/evemu/files/
  head/devel/evemu/files/patch-src_evemu.c
  head/devel/evemu/files/patch-tools_evemu-record.c
  head/devel/evemu/pkg-descr
  head/devel/evemu/pkg-plist
Comment 6 Vladimir Kondratyev freebsd_committer 2017-08-09 21:13:49 UTC
Committed to ports tree as r447657